@import url(../main.css);
@import url(../components/covers.css);
@import url(../components/validation-controls.css);
@import url(../components/buttons.css);
@import url(../base-style.css);

body{
    background-color: var(--background);
}

.img01{
    --img: url('../../../img/elements/banner.jpg');
}

main {
    --rows: 4;
    max-width: 1920px;
    margin: auto;
}

main > header{
    width: 100%;
    aspect-ratio: 4 / 1;
    grid-column: pre-first / post-last;
    grid-row: pre-first / pre-row 1;
    grid-template-columns: subgrid;
}

main > header > div{
    grid-column: pos-first / pre-last;
    grid-row: pos-row 1 / pre-last;
}

main > div:has( > progress){
    grid-row: pos-row 1 / pre-row 2;
    grid-column: pos-first / pre-last;
}

div:has( > progress){
    height: var(--base-size);
    background-color: var(--hardlight);
    border-radius: 100px;
    border: #dedede 1px solid;
}

progress {
    /* Chrome, Safari, Opera, Edge, Firefox */
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 100%;
    display: block;
}

progress::-webkit-progress-bar
{
    border-radius: 100px;
    height: var(--base-size);
    background-color: var(--hardlight);
}

progress::-moz-progress-bar {
    border-radius: 100px;
    height: var(--base-size);
    background-color: var(--hardlight);
}

progress::-webkit-progress-value {
    border-radius: 100px;
    height: var(--base-size);
    background-color: var(--notice);
}

progress::-moz-progress-bar {
    border-radius: 100px;
    height: var(--base-size);
    background-color: var(--notice);
}


main > section
{
    grid-column: pos-first / pre-last;
    grid-row: pos-row 2 / pre-row 3;
    background-color: var(--hardlight);
    border-radius: var(--base-size);
    padding: var(--page-margin);
}

section.question-block
{
    display: none;
    pointer-events: none;
}

section.question-block.active
{
    display: flex;
    flex-direction: column;
    gap: var(--display-gap);
    pointer-events: all;
}

section.question-block > form
{
    display: flex;
    flex-direction: column;
    gap: var(--base-size);
}

section.question-block > form input[type="text"],
section.question-block > form input[type="email"]
{
    padding: calc(var(--base-size) * 1.5) calc(var(--base-size) * 2);
    border-radius: var(--base-size);
    border: 1px solid #ededed;
    color: var(--text-color);
    width: 100%;
    box-sizing: border-box;
}

section.question-block > form.answered{
    pointer-events: none;
}

section.question-block > form input[type="radio"]{
    display: none;
}

section.question-block > form div{
    counter-increment: options;
}

section.question-block > form input[type="radio"] + label{
    display: block;
    padding: calc(var(--base-size) * 1.5) calc(var(--base-size) * 2);
    border-radius: var(--base-size);
    border: 1px solid #ededed;
    color: var(--text-color);
    cursor: pointer;
    transition: background-color 0.3s ease, color 0.3s ease;
}

section.question-block > form input[type="radio"] + label::before{
    content: counter(options, upper-alpha) '. ';
    font-weight: var(--f-medium);
    margin-right: var(--base-size);
}

section.question-block > form input[type="radio"].correct + label{
    border-color: var(--done);
    color: var(--done);
}

section.question-block > form input[type="radio"].incorrect + label{
    border-color: var(--alert);
    color: var(--alert);
}

section.question-block > footer
{
    display: none;
}

section.question-block > footer div{
    margin-top: var(--row-gap);
}

section.question-block > form.answered + footer,
section.question-block > section + footer
{
    display: block;
}

#Result section
{
    display: flex;
    flex-direction: column;
    gap: var(--row-gap);
}

#Result article
{
    display: flex;
    flex-direction: column;
    gap: var(--base-size);
    overflow: hidden;
}

#Result article > div
{
    display: flex;
    gap: var(--base-size);
    align-items: last baseline;
    color: var(--text-color);
}

#Result article > div > div:has(> progress),
#Result article > div > .qtd
{
    flex-shrink: 0;
}

#Result article > div > *
{
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis
}

#Result [data-percent]::before
{
    content: attr(data-percent);
    font-weight: var(--f-medium);
}

main > footer
{
    grid-column: pos-first / pre-last;
    grid-row: pos-row 3 / pre-last;
    display: flex;
    flex-direction: column;
    gap: var(--row-gap);
    padding-top: var(--display-gap);
}
